summary refs log tree commit diff
diff options
context:
space:
mode:
-rwxr-xr-xsynctl38
1 files changed, 38 insertions, 0 deletions
diff --git a/synctl b/synctl
new file mode 100755
index 0000000000..763bcce0a0
--- /dev/null
+++ b/synctl
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+SYNAPSE="synapse/app/homeserver.py"
+
+CONFIGFILE="homeserver.yaml"
+PIDFILE="homeserver.pid"
+
+GREEN=$'\e[1;32m'
+NORMAL=$'\e[m'
+
+set -e
+
+case "$1" in
+  start)
+    if [ ! -f "$CONFIGFILE" ]; then
+      echo "No config file found - generating a default one..."
+      $SYNAPSE -c "$CONFIGFILE" --generate-config
+      echo "Wrote $CONFIGFILE"
+      echo "You must now edit this file before continuing"
+      exit 1
+    fi
+
+    echo -n "Starting ..."
+    $SYNAPSE --daemonize -c "$CONFIGFILE" --pid-file "$PIDFILE" --log-file synapse.log
+    echo "${GREEN}started${NORMAL}"
+    ;;
+  stop)
+    echo -n "Stopping ..."
+    test -f $PIDFILE && kill `cat $PIDFILE`
+    echo "${GREEN}stopped${NORMAL}"
+    ;;
+  restart)
+    $0 stop && $0 start
+    ;;
+  *)
+    echo "Usage: $0 [start|stop|restart]" >&2
+    exit 1
+esac